# Asterisk Project : Asterisk 12 Function_FEATURE

Added by wikibot , edited by wikibot on Oct 29, 2013

# FEATURE()

### Synopsis

Get or set a feature option on a channel.

### Description

When this function is used as a read, it will get the current value of the specified feature option for this channel. It will be the value of this option configured in features.conf if a channel specific value has not been set. This function can also be used to set a channel specific value for the supported feature options.

### Syntax

    FEATURE(option_name)

##### Arguments

- `option_name` - The allowed values are:
  - `inherit` - Inherit feature settings made in FEATURE or FEATUREMAP to child channels.
  - `featuredigittimeout` - Milliseconds allowed between digit presses when entering a feature code.
  - `transferdigittimeout` - Seconds allowed between digit presses when dialing a transfer destination
  - `atxfernoanswertimeout` - Seconds to wait for attended transfer destination to answer
  - `atxferdropcall` - Hang up the call entirely if the attended transfer fails
  - `atxferloopdelay` - Seconds to wait between attempts to re-dial transfer destination
  - `atxfercallbackretries` - Number of times to re-attempt dialing a transfer destination
  - `xfersound` - Sound to play to during transfer and transfer-like operations.
  - `xferfailsound` - Sound to play to a transferee when a transfer fails
  - `atxferabort` - Digits to dial to abort an attended transfer attempt
  - `atxfercomplete` - Digits to dial to complete an attended transfer
  - `atxferthreeway` - Digits to dial to change an attended transfer into a three-way call
  - `pickupexten` - Digits used for picking up ringing calls
  - `pickupsound` - Sound to play to picker when a call is picked up
  - `pickupfailsound` - Sound to play to picker when a call cannot be picked up
  - `courtesytone` - Sound to play when automon or automixmon is activated
  - `recordingfailsound` - Sound to play when automon or automixmon is attempted but fails to start

### See Also

- Asterisk 12 Function_FEATUREMAP

### Import Version

This documentation was imported from Asterisk Version SVN-branch-12-r402154